
varying vec3 norm;
varying vec3 magic;

void main(void)
{
	
	magic = gl_ModelViewMatrix * gl_Vertex;
	norm = gl_NormalMatrix*gl_Vertex.xyz;
	gl_TexCoord[0] = gl_MultiTexCoord0;
	
	gl_Position = ftransform(); //gl_ModelViewProjectionMatrix * gl_Vertex;
	gl_FrontColor  = gl_Color;
}
